summaryrefslogtreecommitdiffstats
path: root/local/.bin/hornet/svdisable
diff options
context:
space:
mode:
authorJesse Luehrs <doy@tozt.net>2023-10-08 12:09:20 -0400
committerJesse Luehrs <doy@tozt.net>2023-10-08 12:59:10 -0400
commit49570c8dd03448240897b37b68567352b790f16f (patch)
tree6c192a52046d5d0dd1b84a838befd8e777cfeafb /local/.bin/hornet/svdisable
parent66939c71da756c1d9e07a88a4a8ea2a018650060 (diff)
downloadconf-49570c8dd03448240897b37b68567352b790f16f.tar.gz
conf-49570c8dd03448240897b37b68567352b790f16f.zip
convert to stow
Diffstat (limited to 'local/.bin/hornet/svdisable')
-rwxr-xr-xlocal/.bin/hornet/svdisable10
1 files changed, 10 insertions, 0 deletions
diff --git a/local/.bin/hornet/svdisable b/local/.bin/hornet/svdisable
new file mode 100755
index 0000000..24f779f
--- /dev/null
+++ b/local/.bin/hornet/svdisable
@@ -0,0 +1,10 @@
+#!/bin/sh
+set -eu
+
+svc="$1"
+
+svdn "$svc"
+svdn "${svc}/log"
+svc -x ~/.services/enabled/"$svc"/log
+svc -x ~/.services/enabled/"$svc"
+rm -f ~/.services/enabled/"$svc"